Subject: Re: [bug#68386] [PATCH v1] gnu: Add emacs-vhdl-mode.

From: Cayetano Santos <[email-masked]>
Date: Wed, 17 Jan 2024 17:11:13 +0100

>mer. 17 janv. 2024 at 09:08, Maxim Cournoyer <[email-masked]> wrote:

> Hi,
>
> Cayetano Santos <[email-masked]> writes:
>
>>>dim. 14 janv. 2024 at 21:46, Maxim Cournoyer <[email-masked]> wrote:
>>
>>> Since there already is a 'vhdl-mode' package shipped with Emacs, I think
>>> it's important to describe how this one differs (what improvements, features,
>>> refinements, etc. does it provide that would make it worth considering
>>> it instead of the default Emacs-provided option?).
>>
>> There are also many other packages (org, modus-themes, etc.) shipped with
>> Emacs that we package in its most recent versions (and many others that
>> pull these as propagated inputs, for some reason, even when already
>> available with Emacs). Do we also describe how they differ ?
>>
>> Anyway, the release notes, update history, bug fixes and enhancements of
>> every single version of vhdl-mode are given in the project home page,
>> already included along with the package. Where do we need to replicate
>> this information exactly for the patch to be accepted ?
>
> Oh, I hadn't noticed that this was the very same package that comes with
> Emacs.  I guess it's fine then, but to avoid any misunderstanding,
> perhaps the description text could mention it explicitly ("This is the
> same @code{vhdl-mode} that comes with Emacs, albeit it may be newer") or
> similar wording.

Done.

As an aside note, at some point, it should be decided how do we handle newest
releases of packages already included with emacs: do we need to mention
it explicitly or something else ?

C.